Page MenuHomePhabricator

Deploy Growth features on Danish Wikipedia
Closed, ResolvedPublicMar 2 2021

Description

Translations

Translate the interface (on translatewiki.net, needs a specific account)

Translate aliases:

Special:Homepage -> Speciel:Hjemmeside
Special:WelcomeSurvey -> Speciel:Velkomstundersøgelse
Special:Impact -> Speciel:Indvirkning
Special:ClaimMentee -> Speciel:KræveEMentee

Help panel

Homepage

Suggested edits

Suggested edits are based on these 5 task-types. At the moment, they can't be substituted. Pleas check maintenance template and links:

Extra links:

Deployment

March 3rd.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Because I haven't triple checked the links. Hjælp:Billeder is about adding images using wikitext, and we encourage VE.

I picked the links myself.

  • Is it wise to link mediawiki.org page from the interface? Won't that guide newcomers away to a different project, leaving them lost for good? @MMiller_WMF might have some opinions about that

Since we don't have a proper link on da.wp, we only can rely on other existing resources. IT is suboptimal, but I hope that communities will react to this.

What should I add as a description to those pages? Just the page title?

Just the pages titles, thanks.

  • "Help pages" in the "Help desk" section lists several pages that should be linked from the help panel. The configuration needs both title and text that should be displayed. That's similar to [[Title|Description text]] in wikitext. What should I add as a description to those pages? Just the page title?

Just the pages titles, thanks.

And how should I deal with the mediawiki.org pages, when the title is not in Danish?

And how should I deal with the mediawiki.org pages, when the title is not in Danish?

Good point. I used existing translations from translatewiki, if they match at 100%. Otherwise, I google translated the labels.

The tools will first be deployed only for people who wish to enable them in their preferences so that they can check and update translations.

And how should I deal with the mediawiki.org pages, when the title is not in Danish?

Good point. I used existing translations from translatewiki, if they match at 100%. Otherwise, I google translated the labels.

The tools will first be deployed only for people who wish to enable them in their preferences so that they can check and update translations.

I'm not sure I understand your message properly. Can you say it in different words, please?

  1. look if the translation already exists on translatewiki. Example for 'add image' -> search -> find -> we use "Tilføj billede"
  2. If I don't find anything, I use Google translate
  3. you add the translations to your patch
  4. you deploy
  5. I inform communities about the deployment
  6. they check the translations
  7. we open the gates to newcomers

I will update the translations tomorrow.

Thanks @Trizek-WMF. I was under the impression that I'm supposed to look for the translations somehow. I'll wait for your translations then :).

NewcomerTasks.json prepared at https://da.wikipedia.org/wiki/Bruger:Martin_Urbanec_(WMF)/NewcomerTasks.json, as I can't edit NS_MEDIAWIKI from my WMF account. @Tgr: Would you please review and move if it looks good to you?

Also the config patch should now be ready. Moving to CR column. Once CR'ed, please move back to In progress.

NewcomerTasks.json prepared at https://da.wikipedia.org/wiki/Bruger:Martin_Urbanec_(WMF)/NewcomerTasks.json, as I can't edit NS_MEDIAWIKI from my WMF account. @Tgr: Would you please review and move if it looks good to you?

Done. I assume the learn more link for the update type was omitted intentionally, let me know if I should add it though.

[...]
The tools will first be deployed only for people who wish to enable them in their preferences so that they can check and update translations.

I didn't see this super-important information in the description, so I added it there. What should happen with welcome survey? Should we enable it for newcomers as we do on other wikis, or leave it accessible through Special:WelcomeSurvey only for experienced users for now?

@Urbanecm_WMF -- good question. The welcome survey should only be available by going to the URL. It should not go to anyone by default at this stage.

Done. I assume the learn more link for the update type was omitted intentionally, let me know if I should add it though.

Can you please add it? https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/da

When the features will be deployed?

Thanks @Tgr!

When the features will be deployed?

That depends... The translation of special pages will be in production with wmf.30, which is scheduled to be deployed this Thursday (but wmf.29, the version we should currently be on, is still blocked, see T271343). I can't predict when will we be on wmf.30. If special page translations aren't a blocker, we can do it any time.

Change 661419 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable GrowthExperiments at dawiki

https://gerrit.wikimedia.org/r/661419

Mentioned in SAL (#wikimedia-operations) [2021-02-08T19:17:11Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 3f39eefaa4c0dabfbc5b03fdc1b12e48913089bd: Enable GrowthExperiments at dawiki (T256126) (duration: 01m 05s)

Mentioned in SAL (#wikimedia-operations) [2021-02-08T19:18:34Z] <urbanecm@deploy1001> Synchronized dblists/growthexperiments.dblist: 3f39eefaa4c0dabfbc5b03fdc1b12e48913089bd: Enable GrowthExperiments at dawiki (T256126; 2/3) (duration: 01m 03s)

Mentioned in SAL (#wikimedia-operations) [2021-02-08T19:20:15Z] <urbanecm@deploy1001> Synchronized wmf-config/config/dawiki.yaml: 3f39eefaa4c0dabfbc5b03fdc1b12e48913089bd: Enable GrowthExperiments at dawiki (T256126; 3/3) (duration: 01m 04s)

Per today meeting, I enabled the features on dawiki today. It will be communicated to the community when the translations are ready (whenever T271344: 1.36.0-wmf.30 deployment blockers is resolved).

Moving to QA, as I would like to make sure the features work as expected, and that they are not deployed to newcomers yet. I triple checked the config I deployed, but just in case, it's worth checking.

Per today meeting, I enabled the features on dawiki today. It will be communicated to the community when the translations are ready (whenever T271344: 1.36.0-wmf.30 deployment blockers is resolved).

Moving to QA, as I would like to make sure the features work as expected, and that they are not deployed to newcomers yet. I triple checked the config I deployed, but just in case, it's worth checking.

Thanks, @Urbanecm_WMF - I appreciate it very much!
I checked - all looks deployed as per the task specifications. For documenting and for @MMiller_WMF's additional review, below is the summary of what is not present (correct behavior) and I highlighted what I found kind of unexpected:

  • new accounts do not get Welcome survey
  • Homepage is enabled only via Preferences, but some account upon creation have a prompt (on a page, not a popup) to enable Homepage
  • the Help panel is not enabled for new accounts
  • newcomers after enabling Homepage do not have Mentorship module present (at least, it was the case for two new accounts that I created)
  • many translations are not done yet
  • the aliases, e.g. Special:Homepage -> Speciel:Hjemmeside cannot be found when typed in the search box
MMiller_WMF moved this task from QA to In Progress on the Growth-Team (Current Sprint) board.

Sounds good, thanks @Urbanecm_WMF and @Etonkovidova. I'm putting this back to "In Progress" and assigning to @Trizek-WMF to handle the rest of the process.

Thanks @Etonkovidova! I'm wondering what "some account upon creation have a prompt (on a page, not a popup) to enable Homepage" refers to? I'm not sure if that's right behavior.

I need to have the assurance that experienced users can check the tools safely, which is not the case yet. Hence, I can't inform them about the deployment and the work they have to do.

Using my WMF account:

  • I have been able to enable the help panel
  • I have the homepage with suggested edits
    • I have no mentorship module, but it is normal, since the community hasn't created the list of mentors yet
  • I can't visit the the welcome survey using special:WelcomeSurvey. I'm redirected to the wiki main page.

Re-assigning to Martin to have the survey being fixed.

Edit: I pinged the translation project on translatewiki to have an new opportunity to see the interface being translated.

@Trizek-WMF

  • I can't visit the the welcome survey using special:WelcomeSurvey. I'm redirected to the wiki main page.

Special:WelcomeSurvey?_group=exp2_target_specialpage works on dawikii. I guess for just Special:WelcomeSurvey to work, there should be some aliases created.

@Etonkovidova The aliases merely change the URL itself, not the functionality of the feature. Apparently 'dawiki' => [ 'exp2_target_specialpage' => [ 'range' => 'x' ], 'exp2_target_popup' => [ 'range' => 'x' ] ], is not the right config :-). I asked in engineering slack channel what is the correct config, as the docs in extension.json aren't especially helpful on this topic :/.

Yeah the documentation of $wgWelcomeSurveyExperimentalGroups could be improved. x basically disables that survey type (and the only survey type we are still using is exp2_target_specialpage; popups didn't test well and the rest was just A/B testing byproducts. The relevant code is WelcomeSurvey::getGroup(). That's used both for registrations and when visiting the special page (unless there's an URL or user settings override). So there isn't really any way to make it work without the URL parameter.

I see. So, the question now is: Do we want it to work w/o the query parameter? If so, we will need to create a task and work on that separately from the deployment. @MMiller_WMF and @Trizek-WMF, this is probably a question for you.

@Urbanecm_WMF -- let's not do extra work to make it work without the query parameter. Here's the reason: since the community members will only be able to access the welcome survey from its URL (and therefore would have to copy/paste it from @Trizek-WMF's instructions), it won't matter whether the URL they copy/paste is short or long. So it's fine for them to also copy/paste the query parameter part if they want to test the welcome survey.

Well, I would prefer to tell communities to copy Special:WelcomeSurvey instead of Special:WelcomeSurvey?_group=exp2_target_specialpage.

Can we fix it for future deployments?

Well, I would prefer to tell communities to copy Special:WelcomeSurvey instead of Special:WelcomeSurvey?_group=exp2_target_specialpage.

I would probably say "click here", but I get your point.

Can we fix it for future deployments?

Well, we can certainly make a task for it :-).

Should be pretty straightforward, just allow to pass in a default value when calling WelcomeSurvey::getGroup() so the fallback order would be URL -> user preference -> default -> roll the dice.

Since I'm trying to make a workable short wikilink including the parameter since 10 minutes: T274368: On wikis trying the Growth tools, have Special:WelcomeSurvey working without parameters. :)

Nothing more to do for me ATM. Reassigning back to Trizek.

The community has been informed about the tools and the forthcoming deployment. The deployment to newcomers would happen starting on Feb. 24.

Moving to QA - will do additional check after deployment to newcomers.

@MMiller_WMF @Trizek-WMF I just noticed that there are very few copyedit tasks (in all topics) available for Danish Wikipedia, and few of links tasks available for some topics. See the list below:

1[urbanecm@mwmaint1002 ~]$ mwscript extensions/GrowthExperiments/maintenance/listTaskCounts.php dawiki
2Topic copyedit references update expand links
3--------------------------------------------------------------------------------
4architecture 0 29 22 26 8
5comics-and-anime 0 19 4 4 15
6art 1 88 158 66 44
7literature 0 122 63 36 64
8fashion 0 15 5 9 2
9music 2 289 131 34 120
10performing-arts 0 20 35 10 8
11sports 0 783 129 127 82
12tv-and-film 0 183 29 50 52
13entertainment 0 108 10 33 30
14video-games 0 36 13 8 27
15biography 4 1678 1242 217 367
16women 1 189 51 28 43
17business-and-economics 1 152 59 111 67
18philosophy-and-religion 1 437 141 85 68
19history 0 361 157 120 56
20food-and-drink 2 49 6 28 6
21military-and-warfare 1 108 41 31 21
22politics-and-government 1 216 96 87 45
23society 1 527 120 230 113
24transportation 0 86 52 60 20
25education 0 79 42 59 38
26biology 2 225 69 176 61
27computers-and-internet 0 196 50 86 64
28engineering 0 34 16 25 9
29physics 0 104 47 46 9
30general-science 4 932 307 614 232
31earth-and-environment 0 59 6 81 9
32chemistry 0 53 3 36 5
33mathematics 0 45 3 8 5
34medicine-and-health 1 123 29 87 53
35technology 1 118 40 93 32
36africa 0 41 15 19 4
37asia 1 525 61 121 54
38central-america 0 12 1 7 5
39europe 3 899 1127 249 259
40north-america 0 264 58 64 49
41oceania 0 34 10 18 14
42south-america 0 76 5 15 5
43[urbanecm@mwmaint1002 ~]$

Is there anything we should do with this?

Skabelon:Oprydning is a possible alternative, but only has 323 articles linked ATM. I continue to look at better alternatives while you add this template to the configuration.

Also, nice script! Can you document and share it?

Skabelon:Oprydning is a possible alternative, but only has 323 articles linked ATM. I continue to look at better alternatives while you add this template to the configuration.

Also, nice script! Can you document and share it?

That script is documented at https://wikitech.wikimedia.org/wiki/GrowthExperiments_setup, which is the page I'm using for setting GrowthExperiments up, and is available in the GrowthExperiments git repository. Sadly, it currently requires production access (restricted or above) to run it. We can probably expose those numbers via an API and publish it on a toolforge tool if you think that's useful (or, via a special page on each wiki).

Skabelon:Oprydning is a possible alternative, but only has 323 articles linked ATM. I continue to look at better alternatives while you add this template to the configuration.

Was added to config.

@Trizek-WMF It is better now, through we still have 0-tasks topics:

1[urbanecm@mwmaint1002 ~]$ mwscript extensions/GrowthExperiments/maintenance/listTaskCounts.php dawiki
2Topic copyedit references update expand links
3--------------------------------------------------------------------------------
4architecture 0 29 22 26 8
5comics-and-anime 0 19 4 4 15
6art 1 88 158 66 44
7literature 9 122 63 36 64
8fashion 0 15 5 9 2
9music 10 289 131 34 120
10performing-arts 2 20 35 10 8
11sports 12 783 129 127 82
12tv-and-film 20 183 29 50 52
13entertainment 1 108 10 33 30
14video-games 3 36 13 8 27
15biography 46 1679 1242 217 367
16women 7 189 51 28 43
17business-and-economics 8 151 59 111 67
18philosophy-and-religion 5 438 141 85 68
19history 7 362 158 120 56
20food-and-drink 2 49 6 28 6
21military-and-warfare 4 108 41 31 21
22politics-and-government 6 216 96 87 45
23society 19 528 120 231 112
24transportation 5 86 52 60 20
25education 1 79 42 59 38
26biology 9 225 69 176 61
27computers-and-internet 12 196 50 86 64
28engineering 2 34 16 25 9
29physics 3 103 47 46 9
30general-science 30 932 307 614 232
31earth-and-environment 0 59 6 81 9
32chemistry 0 53 3 36 5
33mathematics 0 45 3 8 5
34medicine-and-health 7 123 29 87 53
35technology 11 118 40 93 31
36africa 0 41 15 19 4
37asia 3 525 61 121 54
38central-america 0 12 1 7 5
39europe 26 901 1126 249 259
40north-america 11 264 58 64 49
41oceania 2 34 10 18 14
42south-america 0 76 5 15 5
43[urbanecm@mwmaint1002 ~]$

I don't see any other template that would fit the task. I will ask communities about it.

Thank you for the information about the script. Getting access is a bit overkill for the need I have. :)

I don't see any other template that would fit the task. I will ask communities about it.

Thanks!

Thank you for the information about the script. Getting access is a bit overkill for the need I have. :)

Yeah, sounds so :). Filled T275132 to expose those useful numbers in some more accessible way (perhaps a special page).

Trizek-WMF set Due Date to Mar 2 2021, 11:00 PM.

Thanks @Etonkovidova! I'm wondering what "some account upon creation have a prompt (on a page, not a popup) to enable Homepage" refers to? I'm not sure if that's right behavior.

I observed the same behavior on thwiki where Homepage is in silent mode. After a new account is created, there is a landing page saying "you can enable Homepage via Preferences", that's all. It seems ok for the silent mode though.

Unfortunately, I do not have a screenshot available and could not reproduce the issue with two newly created accounts.

Thanks @Etonkovidova! I'm wondering what "some account upon creation have a prompt (on a page, not a popup) to enable Homepage" refers to? I'm not sure if that's right behavior.

I observed the same behavior on thwiki where Homepage is in silent mode. After a new account is created, there is a landing page saying "you can enable Homepage via Preferences", that's all. It seems ok for the silent mode though.

Unfortunately, I do not have a screenshot available and could not reproduce the issue with two newly created accounts.

Do you mean this one? If so, this happens every time you view Special:Homepage manually, to give you an explanation of why it doesn't work. This page shouldn't be reachable from the registration process through.

It would fix the issue, but I don't think it's a big issue. Easier thing might be linking https://www.mediawiki.org/wiki/Help:Growth/Tools/Enable_the_Homepage from the "not enabled" messge :)

Change 667570 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Deploy Growth features to newcomers on da.wikipedia

https://gerrit.wikimedia.org/r/667570

Easier thing might be linking https://www.mediawiki.org/wiki/Help:Growth/Tools/Enable_the_Homepage from the "not enabled" messge :)

Allow me to disagree: going to the talk page leads to a multiple step process to follow on a very unknown environment. It would at best discourage people from enabling the homepage or, at worst, lead people to quit because the tool is too complicated.

Easier thing might be linking https://www.mediawiki.org/wiki/Help:Growth/Tools/Enable_the_Homepage from the "not enabled" messge :)

Allow me to disagree: going to the talk page leads to a multiple step process to follow on a very unknown environment. It would at best discourage people from enabling the homepage or, at worst, lead people to quit because the tool is too complicated.

Interesting way how to look at it, didn't think about it. I think you have a point.

We can change the configuration for this wiki: 80% of newcomers to get the features.

Mentioned in SAL (#wikimedia-operations) [2021-03-03T19:40:26Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 7acb37c9b89d192bafc3b54adc33b569b3cea869: dawiki: Deploy Growth features to newcomers (T256126) (duration: 01m 09s)

We can change the configuration for this wiki: 80% of newcomers to get the features.

Done!

@Urbanecm_WMF according to https://phabricator.wikimedia.org/T275908#6872093 - dawiki (without Mentorship module) should fall back to Help panel? I didn't see Help panel present there.

  • Help panel not enabled by default for new users who get Homepage automatically enabled.
  • the Help panel is not present on normal pages in editing mode
  • the Help panel is not present for SE articles
  • the option "Enable the editor help panel" is present in Preferences but does not have any effect if it's checked.

@Urbanecm_WMF according to https://phabricator.wikimedia.org/T275908#6872093 - dawiki (without Mentorship module) should fall back to Help panel? I didn't see Help panel present there.

Thanks for spotting this. Uploaded a fixing patch in the other task.

@Urbanecm_WMF according to https://phabricator.wikimedia.org/T275908#6872093 - dawiki (without Mentorship module) should fall back to Help panel? I didn't see Help panel present there.

Thanks for spotting this. Uploaded a fixing patch in the other task.

Re-checked - all works (more details in https://phabricator.wikimedia.org/T275908#6898068)

Moving to PM review - all seem to be in place. Mentorship is not present according to the dawiki specific configuration.

Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptMar 11 2021, 1:58 AM

@Urbanecm_WMF - there seem to be some incorrect redirects

SpecsActual
Special:Homepage -> Speciel:HjemmesideWelcomeSurvey page is displayed - https://da.wikipedia.org/wiki/Speciel:Hjemmeside
Special:WelcomeSurvey -> Speciel:VelkomstundersøgelseHomepage is displayed- https://da.wikipedia.org/w/index.php?title=Speciel:Velkomstunders%C3%B8gelse&source=personaltoolslink&namespace=12

The steps to reproduce the issue

If we don't do T250243: Scale: translation of aliases soon, we should probably fix the deployment task template so the special names are in the same order as in the alias file. Having to permute them every time one switches between the task and the code is error-prone.

Change 667570 abandoned by Urbanecm:
[operations/mediawiki-config@master] Deploy Growth features to newcomers on da.wikipedia

Reason:
not needed anymore

https://gerrit.wikimedia.org/r/667570